package com.huigou.topsun.sap.inventoryRecord.application;

import com.huigou.topsun.sap.inventoryRecord.domain.InventoryRecord;
import com.huigou.topsun.sap.inventoryRecord.domain.query.InventoryRecordQueryRequest;
import com.huigou.topsun.sap.inventoryRecord.domain.vo.InventoryRecordVo;

import java.util.List;
import java.util.Map;

/**
 * @author xin.lu
 * @Description: TODO
 * @date 2025/7/1710:23
 */
public interface InventoryRecordApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/inventoryRecord/inventoryRecord.xml";

    String PROCESS_DEFINITION_KEY = "sapInventoryRecordProc";

    Map<String,Object> slicedInventoryRecordWmList(InventoryRecordQueryRequest queryRequest);
    Map<String,Object> slicedInventoryRecordImList(InventoryRecordQueryRequest queryRequest);

    InventoryRecord loadInventoryRecord(String id);

    String saveInventoryRecordVo(List<InventoryRecordVo> inventoryRecordVos);
}
