package com.huigou.topsun.sap.inventoryRecord.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author xin.lu
 * @Description: 库存盘点主表
 * @date 2025/7/179:52
 */
@Entity
@Data
@Table(name = "sap_inventory_record")
public class InventoryRecord extends FlowBillAbstractEntity {

    @Column(name = "ZTYPE")
    private String ztype;
    @Override
    protected String getCodeRuleId() {
        return "inventoryRecord";
    }
}
